Première installation de Joomla! 1.5

Réduire
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • [Problème] Première installation de Joomla! 1.5

    Bonsoir,
    Je suis sous xp pro, viens d'installer Easyphp3, puis Joomla! 1.5.8., en local.
    Pour ma réintroduction dans le web, j'utilise le tutorial JPLN_1.5_v1.25.pdf, que je tache de suivre bien gentiment...
    J'en suis à la page 38, configuration de la base de données, et c'est là que ça coince !
    Quand je clique sur Suivant, après avoir rempli les champs :
    - Nom du serveur de base de données : localhost
    - Nom de l'utilisateur de la base de données : root
    - Mot de passe de l'utilisateur de la base de données : - pas de mot de passe -
    - Nom de la base de données : basejoomla

    J'ai le message d'erreur suivant :Impossible de se connecter à la base de données. Le connecteur a renvoyé le numéro : Unable to connect to the database:Could not connect to MySQL

    Et voilà... J'ai tout désinstallé, supprimé les derniers fichiers/repertoires à la main, redémarré et réinstallé, mais pas mieux.

    Je n'ai trouvé aucune réponse dans le forum, merci de votre aide !
    Dernière édition par xofox à 07/01/2009, 21h55

  • #2
    Bonjour,
    easyphp tourne bien ? tu peux lancer par exemple PhpMyAdmin ?
    Schtroumpfe toi le Schtroumpf t'aidera.
    Je ne schtroumpfe pas aux demandes de schtroumpf par MP.

    Commentaire


    • #3
      phpmyadmin

      Easyphp tourne bien, ou à l'air...

      Pour phpmyadmin, voici le résultat :
      Objet non trouvé!

      L'URL requise n'a pu etre trouvée sur ce serveur. Si vous avez tapé l'URL à la main, veuillez vérifier l'orthographe et réessayer.

      Si vous pensez qu'il s'agit d'une erreur du serveur, veuillez contacter le gestionnaire du site.
      Error 404
      127.0.0.1
      01/07/09 23:17:02
      Apache/2.2.11 (Win32) PHP/5.2.8

      Commentaire


      • #4
        Re,
        tu l'as lancé comment ? Moi j'ai laissé tombé EasyPhp depuis un moment (j'ai une version 1.8 !). On faisait un clic droit sur l'icône en bas à droite, puis Administration et on suivait le lien sur la page.
        Parce que là il semblerait que ton EasyPhp marche moyen...
        Schtroumpfe toi le Schtroumpf t'aidera.
        Je ne schtroumpfe pas aux demandes de schtroumpf par MP.

        Commentaire


        • #5
          (Salut !)
          Oui, je fais un clic droit sur l'icone dans ma barre de taches, puis Config et enfin phpmyadmin.
          Sinon, en cliquant droit sur icone puis administration, j'ai http://127.0.0.1/home/mysql/ qui s'ouvre, et là, ça ressemble à une console d'admin phpmyadmin et j'ai ce genre d'onglets qui apparaissent :
          Serveur: localhost

          * Bases de données
          * SQL
          * État
          * Variables
          * Jeux de caractères
          * Moteurs
          * Privilèges
          * Processus
          * Exporter
          * Importer

          Et en bas de la page, j'ai aussi ce petit message d'avertissement...
          La version de votre bibliothèque MySQL (5.0.51a) diffère de la version de votre serveur MySQL (5.1.30). Ceci peut occasionner un comportement imprévisible.

          Encore qlq infos...:
          MySQL

          * Serveur: localhost via TCP/IP
          * Version du serveur: 5.1.30-community
          * Version du protocole: 10
          * Utilisateur: root@localhost
          * Jeu de caractères pour MySQL: UTF-8 Unicode (utf8)

          Serveur web

          * Apache/2.2.11 (Win32) PHP/5.2.8
          * Version du client MySQL: 5.0.51a
          * Extension PHP: mysqli

          phpMyAdmin

          * Version: 3.1.1
          Dernière édition par xofox à 07/01/2009, 22h36

          Commentaire


          • #6
            Une question très bête : as-tu créé ta base de données dans phpmyadmin ?
            Connaissez-vous la loi de Murphy ? Appliquée à Joomla elle pourrait s'énoncer ainsi :
            C'est toujours lorsqu'on n'a pas pris le temps de faire une sauvegarde que les problèmes surgissent et s'enchainent.
            Moralité : faites des sauvegardes, elles vous paraitront peut-être superflues mais elles ne sont jamais inutiles.

            Commentaire


            • #7
              Salut!

              J'ai bien fait une tentative de création de base, mais ensuite il manquait les tables ou je ne sais quoi d'autre car ça ne marchait pas mieux.

              J'ai surtout taché de suivre SAGEMENT le déroulement de Joomla pour les nuls, qui ne parle absolument pas de cette étape !! Il me semblait avoir lu que ce document allait me permettre de démarrer en douceur... (

              Dois-je me mettre à un classique Nvu ou autre...? Dans le passé j'utilisais Flash, Dreamweaver et même du HTML brut... Je veux bien évoluer, mais à quel prix !? Non mais franchement...

              Bon, je vais essayer de trouver un tutoriel pour myphpadmin maintenant. Merci pour vos coups de main.

              Cependant, quand je lance phpmyadmin à partir de configuration, suite au clic droit sur easyphp, y a erreur... Est-ce dû au fait qu'il n'y aie pas de base, ou bien qu'y a aut'chose qui cloche ?...
              Merci encore !

              Commentaire


              • #8
                Bonsoir

                Si c'est une installation en locahost, il se peut que la réponse que j'ai faite dans le topic http://forum.joomla.fr/showthread.php?t=82638 t'apporte quelques éléments. Il est possible que ce soit une histoire de moot de passe que tu aurait mis précédemment. Regardes dans config.inc.php, comme indiqué.

                J'espère que c'est ça. Bon courage, et bonne nuit...

                Commentaire


                • #9
                  Quelques précisions

                  Je suis surpris par le comportement que tu décris ...


                  J'utilise la version 2.0 d'EasyPHP et il s'avère que cette version offre globalement les mêmes fonctionnalités que les autres produits type WAMP (et les mêmes bugs liés à Windows) ... ce qui est normal car ces produits utilisent les mêmes versions d'Apache, de PHP et de MySql ... Seule diffère l'ergonomie de l'outil pour lancer les applications.

                  1) As tu bien lancé les 2 applications, Apache et mySQL ?

                  2) Quelle version d'EasyPHP utilise tu ? la version précédente, 2.0.08 ou la dernière qui vient de sortir le 7 janvier (version 3.0) ?

                  Par hasard, n'aurais tu pas installer la version 3.00 au dessus de la version 2.0b ? les procédures d'installation de ces logiciels sont assez sommaires et ne traitent pas les mises à niveau toujours correctement ...

                  3) Sur quelle version d'OS fonctionnes tu ? XP ou Vista ... Nous avons rencontré quelques problèmes avec Vista , en ce qui concerne Pro, y a t-il eu les mises à jour SP2 ... ? quelle version (fr) ?


                  Il me semble qu'EasypHP soit abimé et la meilleure solution consiste à :
                  - désinstaller l'application EasyPHP (par le panneau de configuration - Installer/Désinstaller ...)
                  - supprimer le répertoire lié à EasyPHP ( Program Files / Easy Php xxx
                  - ré installer EasyPHP
                  - lancer les 2 applications Apache et MySQL

                  A ce moment là, tu peux tester PHP My Admin :
                  - clic droit sur l'icône EasyPhp en bas de l'écran,
                  - choisir Administration puis PHPMyAdmin ...

                  Question : y a t-il quelqu'un qui a testé le nouveau EasyPHP 3.0 ?

                  Si cela ne convient pas, teste une autre version Apache-PHP-MySQL comme XAMP, WAMP ...

                  Merci de nous tenir au courant de tes péripéties
                  Dernière édition par didier l à 08/01/2009, 22h28
                  Didier L
                  Le webmaster de quelques sites associatifs développés sur Joomla !

                  Commentaire


                  • #10
                    Moi aussi j'ai eu des pb avec EasyPHP 3.0

                    J'ai loggé ici-même mon pb après installation de EasyPHP 3.0
                    J'ai bataillé sur tous les terrains, tout réinstallé, plusieurs fois .....
                    Et je suis revenu à EasyPHP 2.0b.1 avec qui tout s'est bien remis en place

                    Commentaire


                    • #11
                      meme souci, meme constat

                      Envoyé par marcelduboué Voir le message
                      J'ai loggé ici-même mon pb après installation de EasyPHP 3.0
                      J'ai bataillé sur tous les terrains, tout réinstallé, plusieurs fois .....
                      Et je suis revenu à EasyPHP 2.0b.1 avec qui tout s'est bien remis en place
                      Meme souci, meme constat, retour a version ancienne, sauf si quelqu'un as un tuyau...


                      Bip Bip, je viens de trouver la solution grace au topic de Kyos http://forum.joomla.fr/showthread.php?t=82638
                      en allant parcourir le fichier config.inc.php dans le rep phpmyadmin, je me suis rendu compte que :
                      type de base de données sera : mysqli et mot de passe : mysql
                      voilà, j'ai fais ces modifs et l'installation se termine bien.
                      J'espere que cela vous aidera
                      Dernière édition par Sirius2010 à 11/01/2009, 02h07 Raison: easyphp3 et mysqli
                      Joomla 1.5.8 + Virtuemart 1.1.2

                      ...............

                      Momo

                      Commentaire


                      • #12
                        Bonsoir,
                        L'install se fait bien, pas de souci
                        Par contre, j'ai mon serveur mysql qui plante et qui s'arrete au bout de quelques instants.
                        easyphp3.0 pas tres compatible decidement avec vista j'ai l'impression.
                        Joomla 1.5.8 + Virtuemart 1.1.2

                        ...............

                        Momo

                        Commentaire


                        • #13
                          Même avec XP !!

                          ----------------------------------------
                          Joomla 1.5.8 EasyPHP 3.0 => Pb
                          Pas mieux avec Joomla 1.5.9
                          ---------------------------------------
                          En revenant à EasyPHP 2.0b.1 ça s'est arrangé
                          C'est donc Esay 3.0 qui a l'air de faire du souci, ou en tout cas le développement de Joomla qui ne se porte pas tout à fait .....

                          Commentaire


                          • #14
                            c'est quand meme incroyable, ca fais 2ans que vista est sortie, et les produits qui sortent aujourd'hui sont encore incompatible, vivement windows seven...lol ou bien win 98se lol
                            Joomla 1.5.8 + Virtuemart 1.1.2

                            ...............

                            Momo

                            Commentaire


                            • #15
                              Je veux pas être lourd ...

                              mais je te répète que les problèmes que j'ai rencontrés n'ont rien à voir avec Vista.
                              Je suis toujours sous XP service pack 3 .... et je n'ai pas l'intention de passser à Vista.

                              Les pb sont apparus simplement lorsque je suis passé sous EasyPHP 3.0, ne se sont pas arrangés en passant à Joomla 1.5.9, et ont cessé en revenant à EsayPHP 2.0b.1

                              Toujours sous Windows XP .....

                              Commentaire

                              Annonce

                              Réduire
                              1 sur 2 < >

                              C'est [Réglé] et on n'en parle plus ?

                              A quoi ça sert ?
                              La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                              Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                              Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                              Comment ajouter la mention [Réglé] à votre discussion ?
                              1 - Aller sur votre discussion et éditer votre premier message :


                              2 - Cliquer sur la liste déroulante Préfixe.

                              3 - Choisir le préfixe [Réglé].


                              4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                              2 sur 2 < >

                              Assistance au forum - Outil de publication d'infos de votre site

                              Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                              Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                              Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                              UTILISER À VOS PROPRES RISQUES :
                              L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                              Problèmes connus :
                              FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                              Installation :

                              1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                              Archive zip : https://github.com/AFUJ/FPA/zipball/master

                              2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                              3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                              4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                              5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                              6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                              et remplacer www. votresite .com par votre nom de domaine


                              Exemples:
                              Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                              Télécharger le script fpa-fr.php dans: /public_html/
                              Pour executer le script: http://www..com/fpa-fr.php

                              Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                              Télécharger le script fpa-fr.php dans: /public_html/cms/
                              Pour executer le script: http://www..com/cms/fpa-fr.php

                              En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                              Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                              Voir plus
                              Voir moins
                              Travaille ...
                              X